Subject: Re: [PATCH 3/3] net: core: add IFLA_STATS64 support

From: Stephen Hemminger <[email-masked]>
Date: Thu, 11 Mar 2010 15:44:56 -0800

On Thu, 11 Mar 2010 15:15:29 -0800 (PST)
David Miller <[email-masked]> wrote:

> From: Stephen Hemminger <[email-masked]>
> Date: Thu, 11 Mar 2010 15:10:50 -0800
> 
> > But if non utilities will already adapt to new/old kernel, so
> > just don't put out 64 bit values if the platform is 32 bit.
> > When/if 32 bit platforms support it, great add the extra stats.
> 
> How about we just make userland ready for it and:
> 
> 1) Emitting it now will get it tested even on 32-bit
> 
> 2) They'll be ready when the drivers can keep track of
>    64-bit stats too.
> 
> Stephen I've heard your side of the story, I just don't
> agree with it :-)

I'm okay with it. just raising the issue.

--